{% assign hasEvents = false %}
{% for event in site.data.events %}
  {% capture nowunix %}{{'now' | date: '%s'}}{% endcapture %}
  {% capture posttime %}{{event.date | date: '%s'}}{% endcapture %}
  {% if posttime < nowunix and forloop.index0 <= include.totalEvents %}
    {% assign hasEvents = true %}
    <div class="col-xs-12 {%if include.grid == 2%}col-sm-6{%endif%}{%if include.grid == 3%}col-sm-4{%endif%}{%if include.grid == 4%}col-sm-6 col-md-4 col-lg-3{%endif%}">
      <div class="thumbnail">
        <img data-original="/assets/events/{{event.date | date: "%F"}}.jpg" class="lazy img-responsive">
        <div class="caption">
          <h3 class="margin-top">{{ event.title }}</h3>
          <p><small>{{ event.date | date: "%d %B %Y" }}</small></p>
          <p>{{ event.description }}</p>
          <p><a href="{{ event.link }}" class="btn btn-primary" role="button"><img src="/assets/facebook.svg"> View Event</a></p>
        </div>
      </div>
    </div>
  {% endif %}
{% endfor %}
{% if hasEvents == false %}
  <div class="col-xs-12">
    <p>
      No previous events found. Please check back soon!
    </p>
  </div>
{% endif %}
